> For the complete documentation index, see [llms.txt](https://docs.allthingsghl.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.allthingsghl.com/misc/editor-2.md).

# Auto Apply Coupon

```javascript
<script>
document.addEventListener('DOMContentLoaded', function() {
    // Function to get URL parameters
    function getQueryParam(param) {
        var params = new URLSearchParams(window.location.search);
        return params.get(param);
    }

    // Extract the coupon code from the URL
    var couponCode = getQueryParam('coupon_code');

    // If there's a coupon code, fill the input and setup a periodic check for the button's enabled state
    if (couponCode) {
        // Find the input box and button
        var inputBox = document.querySelector('input[name="coupon_code"]');
        var applyButton = document.querySelector('button.apply-btn.apply-coupon-btn');

        // Fill the input box with the coupon code
        inputBox.value = couponCode;

        // Function to check if the button is enabled and click it
        var attemptApplyCoupon = function() {
            if (!applyButton.disabled) { // Check if the button is enabled
                applyButton.click();
                clearInterval(checkButtonEnabled); // Clear the interval once clicked
            }
        };

        // Set an interval to check every 500 milliseconds if the button is enabled
        var checkButtonEnabled = setInterval(attemptApplyCoupon, 500);
    }
});
</script>
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.allthingsghl.com/misc/editor-2.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
